import request from '@/utils/request'

// Bean registry list (paginated)
export function listTaskRegistry(query) {
  return request({
    url: '/monitor/taskRegistry/list',
    method: 'get',
    params: query
  })
}

// Refresh Bean registry cache
export function refreshTaskRegistry() {
  return request({
    url: '/monitor/taskRegistry/refresh',
    method: 'post'
  })
}
